package com.ruoyi.ngtools.mapper;

import java.util.List;
import com.ruoyi.ngtools.domain.NgComponents;

/**
 * 天然气组分Mapper接口
 * 
 * @author ruoyi
 * @date 2025-02-09
 */
public interface NgComponentsMapper 
{
    /**
     * 查询天然气组分
     * 
     * @param id 天然气组分主键
     * @return 天然气组分
     */
    public NgComponents selectNgComponentsById(String id);

    /**
     * 查询天然气组分列表
     * 
     * @param ngComponents 天然气组分
     * @return 天然气组分集合
     */
    public List<NgComponents> selectNgComponentsList(NgComponents ngComponents);

    /**
     * 新增天然气组分
     * 
     * @param ngComponents 天然气组分
     * @return 结果
     */
    public int insertNgComponents(NgComponents ngComponents);

    /**
     * 修改天然气组分
     * 
     * @param ngComponents 天然气组分
     * @return 结果
     */
    public int updateNgComponents(NgComponents ngComponents);

    /**
     * 删除天然气组分
     * 
     * @param id 天然气组分主键
     * @return 结果
     */
    public int deleteNgComponentsById(String id);

    /**
     * 批量删除天然气组分
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteNgComponentsByIds(String[] ids);
}
